%global apiversion     0.3
%define lib_major       3
%define lib_name        %mklibname wpg %{apiversion} %{lib_major}
%define lib_name_devel  %mklibname -d wpg

Name: libwpg
Version: 0.3.2
Release: %mkrel 2
Summary:  A library for import of WordPerfect Graphics images
Group: System/Libraries
License:       LGPLv2+ or MPLv2.0
URL:            http://libwpg.sourceforge.net/
Source0:        http://download.sourceforge.net/libwpg/%{name}-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: help2man
BuildRequires: perl-base
BuildRequires: lib64revenge-devel
BuildRequires: lib64wpd-devel

%description
%{name} is a library for import of images in WPG
(WordPerfect Graphics) format. WPG is the format used among others in
Corel software, such as WordPerfect and Presentations.

%package -n %{lib_name}
Summary:  A library for import of WordPerfect Graphics images
Group: System/Libraries
Obsoletes: %{_lib}wpg-0.2_2

%description -n %{lib_name}
%{name} is a library for import of images in WPG
(WordPerfect Graphics) format. WPG is the format used among others in
Corel software, such as WordPerfect and Presentations.

%package -n %{lib_name_devel}
Summary: Files for developing with libwpg
Group: Development/Libraries
Requires: %{lib_name} = %{version}-%{release}
Provides: libwpg-devel = %{version}-%{release}

%description -n %{lib_name_devel}
The %{lib_name_devel} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch
Obsoletes: %{name}-doc
Provides: %{name}-doc

%description doc
The %{name}-doc package contains API documentation for %{name}.

%package tools
Summary: Tools to convert WordPerfect Graphics images to other formats
Group: Office
License:        (LGPLv2+ or MPLv2.0) and GPL+

%description tools
Tools to convert WordPerfect Graphics images to other formats. Supported
are: SVG, raw.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -rf %{buildroot}/%{_libdir}/libwpg*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wpg2raw wpg2svg; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
help2man -N -S '%{name} %{version}' -n 'batch convert WordPerfect Graphics files into SVG' \
    --help-option=-h --version-string='wpg2svgbatch.pl %{version}' \
    -o wpg2svgbatch.pl.1 ./src/conv/svg/wpg2svgbatch.pl
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wpg2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{lib_name}
%{_libdir}/libwpg-%{apiversion}.so.%{lib_major}
%{_libdir}/libwpg-%{apiversion}.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%doc docs/doxygen/html

%files tools
%{_bindir}/wpg2raw
%{_bindir}/wpg2svg
%{_bindir}/wpg2svgbatch.pl
%{_mandir}/man1/wpg2raw.1*
%{_mandir}/man1/wpg2svg.1*
%{_mandir}/man1/wpg2svgbatch.pl.1*


%changelog
* Tue Oct 15 2019 tex - 0.3.2-2pclos2019
- rebuild against updates

* Tue Sep 26 2017 bb1 <bb2> - 0.3.2-1pclos2017
- new version

* Thu Oct 27 2016 bb <bb> - 0.3.1-1pclos2016
- update for abiword

